#include <iostream>

using namespace std;

int main()
{
    int n, k, y;
    bool f=0;
    cin>>n>>k;
    int s[n];
    for(int i=0;i<n;i++){
        int x;
        cin>>x;
        s[i]=x;
        if(f==1){
            y=s[i];
            f=0;
        }
        if(x==k)
            f=1;
    }
    if(k==s[n-1])
        cout<<s[0];
    else
        cout<<y;
    return 0;
}